Get one Sales Order Line by its reference
curl --request GET \
--url https://api.bold-factory.com/v1/planning/salesOrders/{orderReference}/lines/{lineReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/planning/salesOrders/{orderReference}/lines/{lineReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/planning/salesOrders/{orderReference}/lines/{lineReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"orderId": "<string>",
"order": {
"id": "<string>",
"externalReference": "<string>",
"customerId": "<string>",
"customer": {
"id": "cus_1mnbe80001w0m7qy",
"externalReference": "CLI0007",
"name": "Industrias Manolito",
"deletedAt": null,
"createdAt": "2025-12-29T17:32:58.4234296+00:00",
"createdBy": "Cecilia.Valles@example.net",
"lastModifiedAt": "2025-12-31T19:01:44.2841441+00:00",
"lastModifiedBy": "Claudia52@example.com"
},
"code": "<string>",
"name": "<string>",
"notes": "<string>",
"deliveryInstructions": "<string>",
"codeForCustomer": "<string>",
"status": "Cancelled",
"stockStatus": "Pending",
"cancelledAt": "2023-11-07T05:31:56Z",
"orderedAt": "2023-11-07T05:31:56Z",
"requestedDeliveryAt": "2023-11-07T05:31:56Z",
"committedDeliveryAt": "2023-11-07T05:31:56Z",
"targetDeliveryAt": "2023-11-07T05:31:56Z",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"stock": 123,
"incomingStock": 123,
"outgoingStock": 123,
"currentAvailableStock": 123,
"projectedAvailableStock": 123,
"supplyPolicy": {
"safetyStock": 123,
"reorderPoint": 123,
"minimumAmount": 123,
"amountMultiple": 123,
"fulfillmentMode": "ToOrder",
"procurementType": "Make",
"procurementLeadTimeBusinessDays": 123
},
"demand": {
"results": [
{
"id": "<string>",
"code": "<string>",
"priority": 123,
"nature": "ProductionForecast",
"quantity": 123,
"allocationMode": "HardPegged",
"availableQuantity": 123,
"plannedQuantity": 123,
"neededAt": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z",
"expectedDateConfidence": "Low",
"status": "Pending"
}
],
"totalCount": 123
},
"supply": {
"results": [
{
"id": "<string>",
"nature": "ProductionForecast",
"code": "<string>",
"quantity": 123,
"expectedAt": "2023-11-07T05:31:56Z",
"expectedDateConfidence": "Low"
}
],
"totalCount": 123
},
"baseUnitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"displayDecimalPlaces": 123
}
},
"code": "<string>",
"number": 123,
"quantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"pendingQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"shippedQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"cancelledQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"availableQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"plannedQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"requestedDeliveryAt": "2023-11-07T05:31:56Z",
"committedDeliveryAt": "2023-11-07T05:31:56Z",
"targetDeliveryAt": "2023-11-07T05:31:56Z",
"projectedShipmentDate": "2023-12-25",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"releasedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"status": "Cancelled",
"stockStatus": "Pending",
"fulfillmentMode": "ToOrder",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"enteredQuantity": {
"value": 123,
"unitOfMeasure": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
}
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.ENTITY.NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Family (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/families/pr_72f13bd8218h9823dfj9",
"code": "COMMON.ENTITY.NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Sales Orders
Get one Sales Order Line by its reference
Requires Planning.SalesOrders.Read permissions
GET
/
v1
/
planning
/
salesOrders
/
{orderReference}
/
lines
/
{lineReference}
Get one Sales Order Line by its reference
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Cancelled, Draft, Pending, PartiallyDelivered, Delivered Opciones disponibles:
Pending, PartiallyPlanned, FullyPlanned, Ready, NotRequired, null Opciones disponibles:
ToOrder, ToStock Show child attributes
Show child attributes